reset

set terminal postscript enhanced color solid
set output "all_2012_02_20.ps"


set sample 1000

set lmargin 12
set rmargin 5
set tmargin 0
set bmargin 2

set xtics 1
set grid xtics ytics mytics
set xrange [0:16]

set size 1, 1
set multiplot


# CT2
###################################

set size 1, 0.25
set origin 0.00, 0.75

set title ""
set xlabel ""
set ytics autofreq
set ylabel "C_T^2"
set logscale y
set yrange [0.001:3]
plot "result.ct2" using (($1-1329663600)/3600/24):5 with line lt 1 title ""


# Wind Speed
###################################

set size 1, 0.25
set origin 0.00, 0.50

set title ""
set xlabel ""
set ylabel "Wind Speed"
unset logscale y
set yrange [0:5]
plot "result.ct2" using (($1-1329663600)/3600/24):2 with line lt 2 title ""


# Temperature
###################################

set size 1, 0.25
set origin 0.00, 0.25

set title ""
set xlabel ""
set ylabel "Temperature"
unset logscale y
set yrange [-7:12]
plot "result.ct2" using (($1-1329663600)/3600/24):3 with line lt 3 title ""


# N
###################################

set size 1, 0.25
set origin 0.00, 0.00

set title ""
set xlabel ""
set ylabel "Number"
unset logscale y
set yrange [250:650]
plot "result.ct2" using (($1-1329663600)/3600/24):4 with line lt 4 title ""



set nomultiplot

