reset

set terminal postscript enhanced color solid
set output "correlation_2012_02_20.ps"

set size square

set logscale y
set ylabel "C_T^2" offset 2,0.0
set yrange [0.001:1]

# set grid xtics ytics

set multiplot

# CT2 vs Wind Speed
###################################

set size 0.5
set origin 0.00, 0.50
f(x)=0.001614*x**(-2/3.0)
g(x)=0.0025*x**(-2/3.0)


set title "C_T^2 vs Wind Speed" offset 0.0,-0.5
set xlabel "Wind speed"
set xrange [0:5]

plot "./result.ct2" using 2:5 with points pt 7 ps 0.1 lt 1 notitle,\
f(x) lt 3 notitle, g(x) lt 2 notitle

# CT2 vs Temperature
###################################

set size 0.5
set origin 0.00, 0.00

set title "C_T^2 vs Temperature" offset 0.0,-0.5
set xlabel "Temperature"
set xrange [-6:12]

plot "./result.ct2" using 3:5 with points pt 7 ps 0.1 lt 1 notitle


# CT2 vs Number
###################################

set size 0.5
set origin 0.50, 0.50

set title "C_T^2 vs Number" offset 0.0,-0.5
set xlabel "Number"
set xrange [250:650]

plot "./result.ct2" using 4:5 with points pt 7 ps 0.1 lt 1 notitle


set nomultiplot


