reset

set terminal postscript enhanced color solid
set output "correlation_new.ps"

set size square

set tmargin 1.5
set bmargin 1.5
set lmargin 1.5
set rmargin 1.5

set logscale y
set ylabel "C_T^2" offset 2.5,0.0
set yrange [0.001:1]

# set grid xtics ytics

set multiplot


# CT2 vs Wind Speed
###################################

set size 0.38
set origin 0.00, 0.55
f(x)=0.271*x**(-2/3.0)
g(x)=0.0025*x**(-2/3.0)


set title "C_T^2 vs Wind Speed" offset 0.0,-0.5
set xlabel "Wind speed" offset 0.0,0.3
set xrange [0:5]

plot "./result.ct2" using 2:5 with points pt 7 ps 0.1 lt 1 notitle,\
f(x) lt 4 lw 2 notitle, g(x) lt 3 lw 2 notitle

# CT2 vs Temperature
###################################

set size 0.38
set origin 0.33, 0.55

set title "C_T^2 vs Temperature" offset 0.0,-0.5
set xlabel "Temperature" offset 0.0,0.3
set xrange [-6:12]

plot "./result.ct2" using 3:5 with points pt 7 ps 0.1 lt 1 notitle






# CT2 vs Wind Speed
###################################

set size 0.38
set origin 0.00, 0.10


set title "C_T^2 vs Wind Speed" offset 0.0,-0.5
set xlabel "Wind speed" offset 0.0,0.3
set xrange [0:5]

plot "../2012_03_12/result.ct2" using 2:5 with points pt 7 ps 0.1 lt 2 notitle,\
f(x) lt 4 lw 2 notitle, g(x) lt 3 lw 2 notitle

# CT2 vs Temperature
###################################

set size 0.38
set origin 0.33, 0.10

set title "C_T^2 vs Temperature" offset 0.0,-0.5
set xlabel "Temperature" offset 0.0,0.3
set xrange [-6:12]

plot "../2012_03_12/result.ct2" using 3:5 with points pt 7 ps 0.1 lt 2 notitle


# CT2 vs Number
###################################

set size 0.38
set origin 0.66, 0.10

set title "C_T^2 vs Number" offset 0.0,-0.5
set xlabel "Number" offset 0.0,0.3
set xtics 200,100
set xrange [250:650]

plot "../2012_03_12/result.ct2" using 4:5 with points pt 7 ps 0.1 lt 2 notitle


# CT2 vs Number
###################################

set size 0.38
set origin 0.66, 0.55

set title "C_T^2 vs Number" offset 0.0,-0.5
set xlabel "Number" offset 0.0,0.3
set xtics 200,100
set xrange [250:650]

plot "./result.ct2" using 4:5 with points pt 7 ps 0.1 lt 1 notitle


set nomultiplot


