#!/bin/sh
#sonic2.sh

# last update Apr.30 2012
#
# sttyで/dev/ttyUSB0の特性を変更(モデム制御信号を無効に)
# ちなみにこの操作が必要なのはUbuntu10.10だけかも？本来はsonicの中に記述したので変更されるはずが、
# バグなのか変更されないのであらかじめ先に記述しておく。
stty -F /dev/ttyUSB0 clocal

#セットアップ
#ファイル名の作成
DIR=`date -u +%Y%m%d_%H%M%S`
#観測時間(sec)
TIME=32



#超音波風速計のデータ取得(引数がデータの取得時間(sec))
echo "SONIC OBSERVATION START AT `date -u +%Y/%m/%d_%H:%M:%S` (UTC)" >> /program/SONIC/sonic.log
/program/SONIC/sonic $TIME > /program/SONIC/RAWdata/$DIR.sonic
echo "SONIC OBSERVATION FINISH AT `date -u +%Y/%m/%d_%H:%M:%S` (UTC)" >> /program/SONIC/sonic.log



#超音波風速計のデータ処理
echo "    START CT2 CALCULATE AT `date -u +%Y/%m/%d_%H:%M:%S` (UTC)" >> /program/SONIC/sonic.log
#不要な文字を削除し1-3行目を削除
sed -e "s/U//g" /program/SONIC/RAWdata/$DIR.sonic | sed -e "s/V//g" | sed -e "s/W//g" | sed -e "s/T//g" | sed -e "s/C//g" | sed '1,3d' > /program/SONIC/hoge
#CT2を計算してそれを保存
/program/SONIC/CT2 /program/SONIC/hoge >> /program/SONIC/result.ct2
#不要なファイル(hoge)の削除
rm -f /program/SONIC/hoge
echo "    FINISH CT2 CALCULATE AT `date -u +%Y/%m/%d_%H:%M:%S` (UTC)" >> /program/SONIC/sonic.log

exit 0
